<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- these are common elements shared by all ATLAT.ti styelsheets -->


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:variable name="imagedir">images/</xsl:variable>
<xsl:variable name="stylesdir">styles/</xsl:variable>

<!-- empty for pics in the same directory;do not forget end slash for other dirs -->

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="htmlhead">
	<title>ATLAS.ti XML Stylesheet Demo: <xsl:value-of select="$description/friendlyName"/></title>
	<link rel="stylesheet" href="{$stylesdir}ATLASTI.css" type="text/css"/>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="pagehead">
<!--
&lt;<xsl:value-of select="name(/*)"/>&gt;
-->
<span class="title">ATLAS<span style="color:red">.</span>ti XSL Stylesheet Demo:
<!-- all calling style sheets must define variable description or we get an error -->
  <strong><xsl:value-of select="$description/friendlyName"/></strong> - <xsl:value-of select="$description/shortDescription"/>
<xsl:if test="$description/author">
<br/>
<strong>Author: </strong> <xsl:value-of select="$description/author/@name"/><xsl:text> </xsl:text><xsl:value-of select="$description/author/@email"/><xsl:text> </xsl:text><xsl:value-of select="$description/author/@url"/> 
</xsl:if>
<br/>
</span>
<br/>
<span class="logosubtext">HU: <strong><xsl:value-of select="//hermUnit/@name"/></strong> by <strong><xsl:value-of select="//hermUnit/@au"/></strong>
<br/>
<br/>
<xsl:if test="$description/howTo">
<hr/>
<strong>Instructions: </strong> <xsl:value-of select="$description/howTo"/>

</xsl:if>
<br/>
</span>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

 <xsl:template name="properCDate">
	<xsl:choose>
		<xsl:when test="not(@cDate)">[no date]</xsl:when>
		<xsl:when test="@cDate=''">[date empty]</xsl:when>
		<xsl:otherwise>
		<xsl:value-of select="substring(@cDate, 6,2)"/>-<xsl:value-of select="substring(@cDate, 9,2)"/>-<xsl:value-of select="substring(@cDate, 1,4)"/>
            </xsl:otherwise>
	</xsl:choose>
 </xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="script_expandsection">
<script language="JavaScript">
	<xsl:comment>
		function doSection (secNum){ 
		if (secNum.style.display=="none"){secNum.style.display=""}
		else{secNum.style.display="none"}
		}
		function noSection (secNum){
			if (secNum.style.display==""){secNum.style.display="none"}
		}
	</xsl:comment>
</script>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template name="script_switchCSS">
<script language="javascript">
<xsl:comment>
function switchStyles(src) {
document.getElementsByTagName("link")[0].setAttribute('href',src)
}
</xsl:comment>
</script>
</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template name="script_drag">

<script language="JavaScript1.2">
<xsl:comment>

//Generic Drag Script-  Dynamic Drive (www.dynamicdrive.com)
//For full source code and terms of usage,
//visit http://www.dynamicdrive.com

var ie=document.all
var ns6=document.getElementById&amp;&amp;!document.all

var dragapproved=false
var z,x,y

function move(e){
if (dragapproved){
z.style.left=ns6? temp1+e.clientX-x: temp1+event.clientX-x
z.style.top=ns6? temp2+e.clientY-y : temp2+event.clientY-y
return false
}
}

function drags(e){
if (!ie&amp;&amp;!ns6)
return
var firedobj=ns6? e.target : event.srcElement
var topelement=ns6? "HTML" : "BODY"

while (firedobj.tagName!=topelement&amp;&amp;firedobj.className!="drag"){
firedobj=ns6? firedobj.parentNode : firedobj.parentElement
}

if (firedobj.className=="drag"){
dragapproved=true
z=firedobj
temp1=parseInt(z.style.left+0)
temp2=parseInt(z.style.top+0)
x=ns6? e.clientX: event.clientX
y=ns6? e.clientY: event.clientY
document.onmousemove=move
return false
}
}
document.onmousedown=drags
document.onmouseup=new Function("dragapproved=false")
//
</xsl:comment>
</script>


</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="CSS">
	<link rel="stylesheet" href="{$stylesdir}ATLASti.css" type="text/css"/>
</xsl:template>





</xsl:stylesheet>