<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
	Stylesheet: contsimp.xsl - 
	Display a list of codes or memos plus an active content table - 
	Version 2.0 8/99
	Copyright 1999 Scientific Software Development / Thomas Muhr
	Revision 200205 by ringmayr interNet | hyperMedia consulting + development
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>List with TOC</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>A list of codes and memos with clickable index</shortDescription>
  <howTo>Click on any item in the table of contents. </howTo> 
	<!-- howTo: To be displayed in the generated web page instructing the user how to use the result-->
  <comment>Creates a simple list report of codes and memos and a clickable table of contents</comment>
  <category>Report</category>
  <complexity>low</complexity> <!-- Computational complexity -->
  <iconPath>list.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Muhr" email="Infoline@atlasti.de" url="www.atlasti.com/downloads/stylesheets/"/>
  <creationDate>2003-05-31</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
</head>

<body>
<xsl:call-template name="pagehead"/>
<hr/>

<!-- TOC -->
<div style="border:1px solid black; padding:.5em;">
<a class="toc"><xsl:attribute name="name">TOC</xsl:attribute>CONTENTS</a>

<xsl:for-each select="storedHU/memos/memo | storedHU/codes/code">
<xsl:sort select="@name"/>
<div style="margin-left:1em">
<img src="{$imagedir}mark.gif"><xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute></img>
<a style="background-color: #FFFFFF;"><xsl:attribute name="href">#<xsl:value-of select="generate-id()"/></xsl:attribute>
<xsl:value-of select="@name"/> (a <xsl:value-of select="name(.)"/>)
</a>
</div>

</xsl:for-each>
</div>


<!-- Content Body -->
<xsl:for-each select="storedHU/memos/memo | storedHU/codes/code">
<dl>
<dt>
<a><xsl:attribute name="name"><xsl:value-of select="generate-id()"/></xsl:attribute></a>
<b><xsl:value-of select="@name"/></b>
<xsl:if test="@type and @type!=''"> [<xsl:value-of select="@type"/>] </xsl:if>
Created <xsl:call-template name="properCDate"/> by <xsl:value-of select="@au"/>
<br/>
<a class="instruction"><xsl:attribute name="HREF">#TOC</xsl:attribute>Back to TOC</a>
</dt>
<dd>
<pre class="commenttext"><xsl:apply-templates /></pre>
</dd>
</dl>
</xsl:for-each>

</body>
</html>
</xsl:template>


</xsl:stylesheet>
