<?xml version="1.0" encoding="UTF-8"?>
<!-- 
	This style sheet converts ATLAS.ti codes and links 
	into a Banxia Decision Explorer file June 8, 1999 
	Revision 200205 by ringmayr interNet | hyperMedia consulting + development
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<!--
<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/> 
-->
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>DEConvert</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>Converts a HU into DE format</shortDescription>
  <comment>Creates an output which can be read by Decision Explorer.
Native format not work correctly. 
Should be reimplemented to create a DE XML file.</comment>
  <category>Converter</category>
  <complexity>medium</complexity> <!-- Computational complexity -->
  <iconPath>deconvert.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Muhr" email="Infoline@atlasti.de" url="www.atlasti.com/downloads/stylesheets/"/>
  <creationDate>2003-05-31</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>DE</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
</head>

<body>
<xsl:call-template name="pagehead"/>

<p>An ATLAS<font color="red">.</font>ti XML Code Network converted to Decision Explorer (via dexplore.xsl)<br/>
<i>Save the text below the line into a file with extension "TXT" and import into Decision Explorer.</i>
<hr/>
</p>

<xsl:for-each select="//code">
<xsl:sort select="@name"/>
<xsl:variable name="id"><xsl:value-of select="@source"/></xsl:variable>
<xsl:value-of select="position()"/>=<span style="color:red"><xsl:value-of select="@name"/></span>
<br/>
</xsl:for-each>

<xsl:for-each select="//links/codeLinks/codeLink">
	<xsl:value-of select="@source"/> &gt; <xsl:value-of select="@target"/><br/>
	</xsl:for-each>	
</body>
</html>
</xsl:template>
</xsl:stylesheet>