<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
	200205 by ringmayr interNet | hyperMedia consulting + development
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<!--
<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/> 
-->
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>HU Entity Browser</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>A simple browser for HU entities</shortDescription>
  <howTo>By clicking on any of the entity types below, the entities are unfolded. Clicking on an entity with contained text (memo body or entity comment), a popup window is opened. Clicking again closes the popup window. </howTo> 
	<!-- howTo: To be displayed in the generated web page instructing the user how to use the result-->
  <comment>Displays expandable lists of HU entity types.
Clicking any of the lists display all objects of the selected type</comment>
  <category>Viewer</category>
  <complexity>medium</complexity> <!-- Computational complexity -->
  <iconPath></iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="ringmayr interNet | hyperMedia consulting + development" email="atlas@hypertexxt.com" url="www.hypertexxt.com/atlas/stylesheets/"/>
  <creationDate>2003-05-31</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
	<xsl:call-template name="htmlhead"/>
	<xsl:call-template name="script_expandsection"/>
</head>

<body>
<xsl:call-template name="pagehead"/>
<hr />
<div align="center" style="padding:2em"><span class="main">ELEMENT OVERVIEW</span></div>
<div align="center" style="padding:2em"><span class="main">Click on any of entity types below to expand the list. Clicking an entity displays its comment or body (memos).</span></div>

<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
<!-- left column -->
<td valign="top" width="49%">
	<xsl:call-template name="primdocs"/>
	<hr/>
	<xsl:call-template name="codeFamilies"/>
	<hr/>
	<xsl:call-template name="memoFamilies"/>
</td>
<!-- middle separator -->
<td width="5" bgcolor="#FFFFFF"></td>
<td width="1" bgcolor="#000000"></td>
<td width="5" bgcolor="#FFFFFF"></td>
<!-- right column -->
<td valign="top" width="49%">

	<xsl:call-template name="memos"/>
	<hr/>
	<xsl:call-template name="quotes"/>
	<hr/>
	<xsl:call-template name="codes"/>


</td>
</tr>
</table>

</body>
</html>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="quotes">
<xsl:variable name="id">quotes<xsl:value-of select="generate-id()"/></xsl:variable>
<div>
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}mark.gif" alt="" border="0"/> <span class="main">Quotes</span>
</span>
</div>

<div style="display:none; ">
<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//q">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>

<tr class="rowstyle{position() mod 2}" >
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
<span class="commenttext"><xsl:value-of select="comment"/></span>
</div>
</td>
<td class="small"><xsl:value-of select="ancestor::primDoc/@name"/></td>
<td class="small"><xsl:value-of select="@au"/></td>
<!--<td class="small"><xsl:call-template name="properCDate"/></td>-->
</tr>

<tr><td colspan="3" bgcolor="#000000" height="1px"></td></tr>
</xsl:for-each>
</table>

<!-- close button -->
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}close.gif" alt="close" border="0"/> 
</span>

</div>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template name="codes">
<xsl:variable name="id">codes<xsl:value-of select="generate-id()"/></xsl:variable>
<div>
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}mark.gif" alt="" border="0"/> <span class="main">Codes</span>
</span>
</div>

<div style="display:none; ">
<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//code">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>

<tr class="rowstyle{position() mod 2}" >
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
<span class="commenttext"><xsl:value-of select="comment"/></span>
</div>
</td>
<td class="small"><xsl:value-of select="ancestor::primDoc/@name"/></td>
<td class="small"><xsl:value-of select="@au"/></td>
<!--<td class="small"><xsl:call-template name="properCDate"/></td>-->
</tr>

<tr><td colspan="3" bgcolor="#000000" height="1px"></td></tr>
</xsl:for-each>
</table>

<!-- close button -->
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}close.gif" alt="close" border="0"/> 
</span>

</div>
</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="memos">
<xsl:variable name="id">memo<xsl:value-of select="generate-id()"/></xsl:variable>
<div>
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}mark.gif" alt="" border="0"/> <span class="main">Memos</span>
</span>
</div>

<div style="display:none; ">
<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//memo">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
<span class="commenttext"><xsl:value-of select="comment"/></span>
</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>

<tr><td colspan="3" bgcolor="#000000" height="1px"></td></tr>
</xsl:for-each>
</table>

<!-- close button -->
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}close.gif" alt="close" border="0"/> 
</span>

</div>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="primdocs">
<xsl:variable name="id">primdoc<xsl:value-of select="generate-id()"/></xsl:variable>
<div>
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}mark.gif" alt="" border="0"/> <span class="main">Primary Documents</span>
</span>
</div>

<div style="display:none; ">
<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//primDoc">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
<span class="commenttext"><xsl:value-of select="comment"/></span>
</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>

<tr><td colspan="3" bgcolor="#000000" height="1px"></td></tr>
</xsl:for-each>
</table>

<!-- close button -->
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}close.gif" alt="close" border="0"/> 
</span>

</div>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="codeFamilies">
<xsl:variable name="id">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<div>
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}mark.gif" alt="" border="0"/> <span class="main">Code Families</span>
</span>
</div>

<div style="display:none; ">
<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="storedHU/families/codeFamilies/codeFamily">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>


<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
<span class="commenttext"><xsl:value-of select="comment"/></span>
</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>
<tr><td colspan="3" bgcolor="#000000" height="1px"></td></tr>
</xsl:for-each>
</table>

<!-- close button -->
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}close.gif" alt="close" border="0"/> 
</span>

</div>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="memoFamilies">
<xsl:variable name="id">memoFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<div>
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}mark.gif" alt="" border="0"/> <span class="main">Memo Families</span>
</span>
</div>

<div style="display:none; ">
<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="storedHU/families/memoFamilies/memoFamily">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
<span class="commenttext"><xsl:value-of select="comment"/></span>
</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>
<tr><td colspan="3" bgcolor="#000000" height="1px"></td></tr>
</xsl:for-each>
</table>

<!-- close button -->
<span style="color:teal; cursor:hand;">
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}close.gif" alt="close" border="0"/> 
</span>

</div>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->



</xsl:stylesheet>
