<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
Stylesheet: list.xsl - 
Display a list of ATLAS.ti generated codes/memos sorted alphabetically  - 
Version 2.0 8/99
Copyright 1999 Scientific Software Development/Thomas Muhr
Revision 200205 by ringmayr interNet | hyperMedia consulting + development
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>


<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>Simple List</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>A simple list of codes and memos with name, date, author</shortDescription>
  <comment>Creates a simple list report of codes and memos sorted by name</comment>
  <category>Report</category>
  <complexity>low</complexity> <!-- Computational complexity -->
  <iconPath>list.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Muhr" email="Infoline@atlasti.de" url="www.atlasti.com/downloads/stylesheets/"/>
  <creationDate>2003-05-31</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
	<xsl:call-template name="htmlhead"/>
</head>

<body>
<xsl:call-template name="pagehead"/>
No. of Codes: <xsl:value-of select="count(storedHU/codes/code)"/><br/>
No. of Memos: <xsl:value-of select="count(storedHU/memos/memo)"/><br/>
<hr />

<h1>Codes</h1>
<ol>
<xsl:for-each select="storedHU/codes/code">
<xsl:sort select="@name"/>
<li>
	<b><xsl:value-of select="@name"/></b> -
	Created <i><xsl:call-template name="properCDate"/></i> by 
	<b><xsl:value-of select="@au"/></b>
</li>
</xsl:for-each>
</ol>

<h1>Memos</h1>
<ol>
<xsl:for-each select="storedHU/memos/memo">
<xsl:sort select="@name"/>
<li>
	<b><xsl:value-of select="@name"/></b> -
	Created <i><xsl:call-template name="properCDate"/></i> by 
	<b><xsl:value-of select="@au"/></b>
</li>
</xsl:for-each>
</ol>

</body>
</html>
</xsl:template>

</xsl:stylesheet>
