<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
	Display ATLAS.ti generated codes/memos in modern style
	Version 2.0 8/99
	Copyright 1999 Scientific Software Development/Thomas Muhr
	Revision 200205 by ringmayr interNet | hyperMedia consulting + development
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<!--
<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/> 
-->
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>Modern Memos</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>A stylish report of memos only.</shortDescription>
  <comment>Creates a report of memos in a tabular format</comment>
  <category>Report</category>
  <complexity>low</complexity> <!-- Computational complexity -->
  <iconPath>modern.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Muhr" email="Infoline@atlasti.de" url="www.atlasti.com/downloads/stylesheets/"/>
  <creationDate>2003-05-31</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <sourceType type = "Memos" version = "5.0"/>
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>
<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
</head>
<body>
<xsl:call-template name="pagehead"/>
No. of Memos: <xsl:value-of select="count(storedHU/memos/memo)"/><br/>
<hr />

<h1>Memos</h1>
<table bordercolordark="gray" bordercolorlight="teal" border="0" bgcolor="white" cellpadding  ="8" >
<xsl:for-each select="storedHU/memos/memo">
<xsl:sort select="@name"/>
	<xsl:call-template name="content"/>
</xsl:for-each>
</table>

</body>
</html>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template match="body | comment">
	<pre class="commenttext"><xsl:value-of select="."/></pre>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="content">
<tr>
	<td bgcolor="gray" width="20%" valign="top" align="right">
		<span style="color:white">
		<b><xsl:value-of select="@name"/></b>
		<br/>
		<span style="color:yellow">
		<xsl:value-of select="@au"/><br/>
		</span>
		<xsl:call-template name="properCDate"/><br/>
		<span style="color:orange"><xsl:value-of select="@type"/></span>
		</span>
	</td>

	<td width="80%" valign="top" class="rowstyle{position() mod 2}">
	<xsl:choose>
		<xsl:when test="body | comment"><xsl:apply-templates select="body | comment"/></xsl:when>
		<xsl:otherwise>[no entry]</xsl:otherwise>
	</xsl:choose>
	</td>
</tr>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

</xsl:stylesheet>