<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- 
Generic style sheet for viewing raw XML 
modified 200205 by ringmayr interNet | hyperMedia consulting + development
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<!--
<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/> 
-->
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>XML Tree</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>Shows the XML tree structure</shortDescription>
  <comment>Creates a HTML output which shows the raw structure of the XML document. Can be applied to any XML document.</comment>
  <category>Report</category>
  <complexity>low</complexity> <!-- Computational complexity -->
  <iconPath>rawxml.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Muhr" email="Infoline@atlasti.de" url="www.atlasti.com/downloads/stylesheets/"/>
  <creationDate>2003-05-31</creationDate>
  <sourceType type = "ANY" version = ""/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
<xsl:call-template name="script_expandsection"/>
</head>
<body>

<div style="font-family:Arial; font-size:10pt; margin-bottom:5em">
<span style="color:teal"><b>&lt;?xml version="1.0" encoding="UTF-8" ?&gt;</b></span>
<xsl:apply-templates select="*"/>
</div>


</body>
</html>
</xsl:template>

<xsl:template match="*">
<div style="margin-left:1em; color:maroon">
 &lt;<xsl:value-of select="name(.)"/><xsl:apply-templates select="@*"/>/&gt;
</div>
</xsl:template>

<xsl:template match="*[node()]">
<div style="margin-left:1em">
<span style="color:maroon">&lt;<xsl:value-of select="name(.)"/><xsl:apply-templates select="@*"/>&gt;</span><xsl:apply-templates/><span style="color:maroon">&lt;/<xsl:value-of select="name(.)"/>&gt;</span>
</div>
</xsl:template>

<xsl:template match="@*">
<span style="color:red"><xsl:text> </xsl:text><xsl:value-of select="name(.)"/>="<span style="color:black"><xsl:value-of select="."/></span>"</span>
</xsl:template>

<xsl:template match="processing-instruction()">
 <div style="margin-left:1em; color:maroon">&lt;?<xsl:value-of select="name(.)"/><xsl:apply-templates select="@*"/>?&gt;</div>
</xsl:template>

<!--
<xsl:template match="cdata()"><pre>&lt;![CDATA[<xsl:value-of select="."/>]]&gt;</pre></xsl:template>
-->

<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

</xsl:stylesheet>