<?xml version="1.0" encoding="UTF-8"?>
<!--
	Last revision 20030724 by thomas ringmayr - www.hypertexxt.com/atlas
-->


<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes"/>
	<xsl:include href="_shared.xsl.inc"/>

	<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
	<xsl:template match="/">
		<html>
			<head>
				<xsl:call-template name="htmlhead"/>
				<xsl:call-template name="script_expandsection"/>
			</head>
			<body>
				<xsl:call-template name="pagehead"/>
				<hr/>
				<h1>Codes</h1>
				<xsl:for-each select="storedHU/codes/code">
					<xsl:sort select="@*[name()=$sortCrit]" order="{$ascdesc}"/>
					<xsl:call-template name="content"/>
				</xsl:for-each>
				<h1>Memos</h1>
				<xsl:for-each select="storedHU/memos/memo">
					<xsl:sort select="@*[name()=$sortCrit]" order="{$ascdesc}"/>
					<xsl:call-template name="content"/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
	<xsl:template name="content">
		<xsl:variable name="id">
			<xsl:value-of select="generate-id()"/>
		</xsl:variable>
		<p>
			<table width="650" cellpadding="1" cellspacing="0" border="0" bgcolor="teal" align="center">
				<tr>
					<td>
						<span style="color:white; font-weight: bold;">
							<xsl:choose>
								<xsl:when test="comment and comment!=''">
									<span style="color:yellow; text-decoration:underline; cursor:hand;">
										<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
										<img src="{$imagedir}mark.gif" border="0">
											<xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute>
										</img>
										<xsl:value-of select="@name"/>
									</span>
								</xsl:when>
								<xsl:when test="text and text!=''">
									<span style="color:yellow; text-decoration:underline; cursor:hand;">
										<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
										<img src="{$imagedir}mark.gif" border="0">
											<xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute>
										</img>
										<xsl:value-of select="@name"/>
									</span>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@name"/>
								</xsl:otherwise>
							</xsl:choose>
						</span>
						<span style="color:yellow"> by <xsl:value-of select="@au"/> from <xsl:call-template name="properCDate"/>
						</span>
					</td>
					<td valign="top" align="right">
						<xsl:if test="comment and comment!=''">
							<img src="{$imagedir}close.gif" alt="close">
								<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
							</img>
						</xsl:if>
					</td>
				</tr>
				<tr style="display:none;">
					<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
					<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
					<td colspan="2">
						<table cellpadding="10" cellspacing="0" border="0" bgcolor="#FFFFFF" width="100%">
							<tr>
								<td width="80%">
									<pre class="commenttext">
										<xsl:apply-templates/>
									</pre>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</p>
	</xsl:template>
	<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
</xsl:stylesheet>
