<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
200205 by ringmayr interNet | hyperMedia consulting + development
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>


<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>Quotations List</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>Lists all quotations as a simple numbered list</shortDescription>
  <comment>--  this stylesheet courtesy of ringmayr IT consulting (http://www.hypertexxt.com/atlas).
  </comment>
  <category>Viewer</category>
  <complexity>simple</complexity> <!-- Computational complexity -->
  <iconPath>hypertexxt.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Ringmayr" email="atlas@hypertexxt.com" url="http://www.hypertexxt.com/atlas"/>
  <creationDate>2003-06-30</creationDate>
  <sourceType type="HU" version="5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>


<xsl:template match="/">
<html>
<head>
	<xsl:call-template name="htmlhead"/>
	<xsl:call-template name="script_expandsection"/>
</head>

<body>
<xsl:call-template name="pagehead"/>
No. of Primary Documents: <xsl:value-of select="count(//primDoc)"/><br/>
Average Number of Quotes: <xsl:value-of select="(count(//primDoc/*/q )) div (count(//primDoc))"/>
<hr />

<xsl:for-each select="//primDoc">
<xsl:variable name="docid"><xsl:value-of select="generate-id()"/></xsl:variable>
<p>
<xsl:value-of select="position()"/>. 
<xsl:value-of select="@name" /> - Created <xsl:call-template name="properCDate"/> by <xsl:value-of select="@au" />
<br/>

<xsl:if test="comment">
		<span style="color:teal; cursor:hand;">
		<xsl:attribute name="onClick">doSection(<xsl:value-of select="$docid"/>)</xsl:attribute>
		<img src="{$imagedir}mark.gif" border="0" alt="more info"/>
		more info
		</span>
	
	<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:1px; " >
	<xsl:attribute name="id"><xsl:value-of select="$docid"/></xsl:attribute>

	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onClick">noSection(<xsl:value-of select="$docid"/>)</xsl:attribute>
	<img src="{$imagedir}close.gif" alt="close" border="0"/>
	</span>
	<pre class="commenttext"><xsl:value-of select="comment"/></pre>
	</div>
</xsl:if>

</p>

<ol>
	<xsl:for-each select="quotations/q">
	<xsl:sort select="@name"/>
	<xsl:variable name="quotid"><xsl:value-of select="generate-id()"/></xsl:variable>
	<li>
	<xsl:value-of select="@name"/>  (<xsl:call-template name="properCDate"/>, by <xsl:value-of select="@au"/>)
	
	<xsl:if test="comment">
		<span style="color:teal; cursor:hand;">
		<xsl:attribute name="onClick">doSection(<xsl:value-of select="$quotid"/>)</xsl:attribute>
		<img src="{$imagedir}mark.gif" border="0" alt="show more"/>
		- show more
		</span>
	
	<div style="display:none; border:1px solid; position:relative; background-color: lightyellow; padding:1px; " >
	<xsl:attribute name="id"><xsl:value-of select="$quotid"/></xsl:attribute>

	<span style="cursor:hand;">
	<xsl:attribute name="onClick">noSection(<xsl:value-of select="$quotid"/>)</xsl:attribute>
	<img src="{$imagedir}close.gif" alt="close" border="0"/>
	</span>
	<pre class="commenttext"><xsl:value-of select="comment"/></pre>
	
	</div>
	</xsl:if>
	</li>	
	</xsl:for-each>
</ol>
</xsl:for-each>

</body>
</html>
</xsl:template>


</xsl:stylesheet>
