<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
experimental 6
200205 by ringmayr interNet | hyperMedia consulting + development
PLEASE NOTE:  could be very slow for LARGE input files!!! 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>Code List</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>A clickable list of codes</shortDescription>
  <howTo>By clicking on a code you can unfold the list of its quotations.</howTo> 
	<!-- howTo: To be displayed in the generated web page instructing the user how to use the result-->
  <comment>
PLEASE NOTE: this can be quite slow for LARGE input files. 
--  this stylesheet courtesy of ringmayr IT consulting (www.hypertexxt.com/atlas).
  </comment>
  <category>Viewer</category>
  <complexity>simple</complexity> <!-- Computational complexity -->
  <iconPath>hypertexxt.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Ringmayr" email="atlas@hypertexxt.com" url="www.hypertexxt.com/atlas"/>
  <creationDate>2003-06-30</creationDate>
  <sourceType type="HU" version="5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
<xsl:call-template name="script_expandsection"/>
</head>

<body>
<xsl:call-template name="pagehead"/>
<p>Code List</p>
<hr/>
<p/>
<ol>
<xsl:for-each select="storedHU/codes/code">
<xsl:sort select="@name"/>
<xsl:variable name="objid"><xsl:value-of select="@id"/></xsl:variable>
<xsl:variable name="id"><xsl:value-of select="generate-id()"/></xsl:variable>
<li>
<xsl:choose>
	<xsl:when test="//objectSegmentLinks/codings/iLink[@obj=$objid]">
		<span style="cursor:hand; color:teal">
		<xsl:attribute name="onClick">doSection(list<xsl:value-of select="$id"/>)</xsl:attribute>

		<xsl:value-of select="@name"/>
		</span>
		<!-- turn OFF following line for increased processing speed -->
		(<xsl:value-of select="count(//objectSegmentLinks/codings/iLink[@obj=$objid])"/>)
		<div style="display:none">
		<xsl:attribute name="id">list<xsl:value-of select="$id"/></xsl:attribute>
		<ol>
		<xsl:for-each select="ancestor::storedHU/links/objectSegmentLinks/codings/iLink[@obj=$objid]">
		<xsl:sort select="@name"/>
		<xsl:variable name="target"><xsl:value-of select="@qRef"/></xsl:variable>
		<li><xsl:value-of select="//q[@id=$target]/@name"/></li>
		<!-- note: some q elements have an empty name attribute! -->
		</xsl:for-each>
		</ol>
		</div>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>
</li>
</xsl:for-each>
</ol>
</body>
</html>
</xsl:template>

</xsl:stylesheet>

