<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>


<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>CSS Switcher</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>Switch dynamically between stylesheets</shortDescription>
  <comment>
live and instantenous switching between COMPLETELY different looks and layouts of your output!  can be applied to other stylesheets as well. 
- USE THE INLINE SELECTION MENU to switch between styles. 
    --  this stylesheet courtesy of ringmayr IT consulting (www.hypertexxt.com/atlas).
  </comment>
  <category>Report</category>
  <complexity>medium</complexity> <!-- Computational complexity -->
  <iconPath>hypertexxt.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Ringmayr" email="atlas@hypertexxt.com" url="www.hypertexxt.com/atlas"/>
  <creationDate>2003-06-30</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>




<xsl:template match="/">
<html>
<head>
	<xsl:call-template name="htmlhead"/>
	<xsl:call-template name="script_expandsection"/>
	<xsl:call-template name="script_switchCSS"/>
	<xsl:call-template name="script_drag"/>

<style type="text/css">
	.drag {position: relative; border: gray dashed 1px; cursor: move; padding:20px; background-image: url('images/bgGrid.gif');}
	.small {font-family: sans-serif; font-size: 10px;}
</style>
</head>


<body leftmargin="0">
		<div id="linkLayer" class="drag" style="position:absolute; left:600px; top: 80px; " >

			<a href="#" onmousedown="switchStyles('{$stylesdir}css1.css')">Grunge</a><br/>
			<a href="#" onmousedown="switchStyles('{$stylesdir}css2.css')">80s Web</a><br/>
			<a href="#" onmousedown="switchStyles('{$stylesdir}css3.css')">CorporateGreen</a><br/>
			<a href="#" onmousedown="switchStyles('{$stylesdir}css4.css')">CorporateBlue</a><br/>
			<a href="#" onmousedown="switchStyles('{$stylesdir}css5.css')">Yeah</a><br/>
	
			<div class="small">
			<br/>move this menu<br/>to an empty area<br/>on your screen
			</div>

		</div>




<div class="title"><xsl:value-of select="//hermUnit/@name"/></div>

<hr/>


<div class="HUinfo"><xsl:value-of select="storedHU/hermUnit/comment"/></div>

<ol class="listMain">
<xsl:for-each select="storedHU/codes/code">
<xsl:sort select="@name"/>
<xsl:variable name="objid"><xsl:value-of select="@id"/></xsl:variable>
<xsl:variable name="id"><xsl:value-of select="generate-id()"/></xsl:variable>
<li class="itemMain">
<xsl:choose>
	<xsl:when test="//objectSegmentLinks/codings/iLink[@obj=$objid]">
		<span class="opener">
		<xsl:attribute name="onClick">doSection(list<xsl:value-of select="$id"/>)</xsl:attribute>
		<xsl:value-of select="@name"/>
		</span>
		<!-- turn OFF following line for increased processing speed -->
		(<xsl:value-of select="count(//objectSegmentLinks/codings/iLink[@obj=$objid])"/>)
		<div style="display:none">
		<xsl:attribute name="id">list<xsl:value-of select="$id"/></xsl:attribute>
		<ol class="listInner">
		<xsl:for-each select="ancestor::storedHU/links/objectSegmentLinks/codings/iLink[@obj=$objid]">
		<xsl:sort select="@name"/>
		<xsl:variable name="target"><xsl:value-of select="@qRef"/></xsl:variable>
		<li class="itemInner"><xsl:value-of select="//q[@id=$target]/@name"/></li>
		<!-- note: some q elements have an empty name attribute! -->
		
		<!--	alternative version	 of previous line; seems to have problems
		<li><xsl:value-of select="id($target)"/></li> -->
		</xsl:for-each>
		</ol>
		</div>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>
</li>
</xsl:for-each>
</ol>
</body>
</html>
</xsl:template>

</xsl:stylesheet>

