<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
transform to old XML format
THIS CONVERSION PRODUCES PSEUDO XML OUTPUT (really  html, meant only for cut + paste!) 
200205 by ringmayr interNet | hyperMedia consulting + development
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
  <friendlyName>XML Codes for ATLAS.ti4</friendlyName> <!-- To be displayed in ATLAS.ti -->
  <shortDescription>Converts to ATLAS.ti4 XML codes format</shortDescription>
  <comment>Converts ATLAS.ti5 XML into the ATLAS.ti4 XML format for codes
 --  this stylesheet courtesy of ringmayr IT consulting (www.hypertexxt.com/atlas).
  </comment>
  <category>Converter</category>
  <complexity>simple</complexity> <!-- Computational complexity -->
  <iconPath>hypertexxt.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
  <author name="Thomas Ringmayr" email="atlas@hypertexxt.com" url="www.hypertexxt.com/atlas"/>
  <creationDate>2003-06-30</creationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>


<xsl:template match="/">
<html>
<head><xsl:call-template name="htmlhead"/></head>
<body>
<xsl:call-template name="pagehead"/>
<p><em>Save the text below the line into a file with extension "xml" and load into a text editor.</em></p>
<hr/>
<p/>
<span style="color:green">&lt;?xml version="1.0"?></span>
<p/>
&lt;<span style="color:red">CODEBASE</span><br/>
<xsl:text> </xsl:text><span style="color:blue">HU</span>="<xsl:value-of select="//hermUnit/@name"/>"<br/>
<xsl:text> </xsl:text><span style="color:blue">AUTHOR</span>="<xsl:value-of select="//hermUnit/@au"/>"<br/>
<xsl:text> </xsl:text><span style="color:blue">TQCOUNT</span>="<xsl:value-of select="sum(//codes/code/@qCount)"/>"<br/>
<xsl:text> </xsl:text><span style="color:blue">TCCOUNT</span>="<xsl:value-of select="sum(//codes/code/@cCount)"/>"<br/>
<xsl:text> </xsl:text><span style="color:blue">CODINGS</span>="<xsl:value-of select="sum(//codes/code/@qCount) + sum(//codes/code/@cCount)"/>"
&gt;
<p/>

<xsl:for-each select="//codes/code">

&lt;<span style="color:red">CODE</span>
<xsl:text> </xsl:text><span style="color:blue">QCOUNT</span>="<xsl:value-of select="@qCount"/>"
<xsl:text> </xsl:text><span style="color:blue">CCOUNT</span>="<xsl:value-of select="@cCount"/>"&gt;

<br/>
&lt;<span style="color:red">TITLE</span>&gt;<xsl:value-of select="@name"/>&lt;/<span style="color:red">TITLE</span>&gt;<br/>
&lt;<span style="color:red">DATE</span>&gt;<xsl:call-template name="reformatDate"/>&lt;/<span style="color:red">DATE</span>&gt;<br/>
&lt;<span style="color:red">AUTHOR</span>&gt;<xsl:value-of select="@au"/>&lt;/<span style="color:red">AUTHOR</span>&gt;<br/>
&lt;<span style="color:red">COMMENT</span>&gt;<xsl:if test="comment and comment!=''"><br/></xsl:if>
<xsl:if test="comment and comment!=''"><pre class="commenttext"><xsl:value-of select="comment"/></pre>
</xsl:if>&lt;/<span style="color:red">COMMENT</span>&gt;

<br/>&lt;/<span style="color:red">CODE</span>&gt;
<p/>

</xsl:for-each>
&lt;/<span style="color:red">CODEBASE</span>&gt;

</body>
</html>
</xsl:template>

<xsl:template name="reformatDate"><xsl:value-of select="@cDate"/></xsl:template>

</xsl:stylesheet>
