<?xml version="1.0" encoding="utf-8"?>
<!-- this is a library of elements shared by all ATLAS.ti stylesheets -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:variable name="stylesdir">styles/</xsl:variable>
<xsl:variable name="imagedir">images/</xsl:variable>
<!-- empty for pics in the same directory;do not forget end slash for other dirs! -->

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="htmlhead">
	<title>ATLAS.ti XML Stylesheet Demo: <xsl:value-of select="$description/friendlyName"/></title>
	<link rel="stylesheet" href="{$stylesdir}_shared.css" type="text/css"/>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="simplepagefooter">

<p>
	<xsl:text>ATLAS</xsl:text>
	<span style="color:#f00">.</span>
	<xsl:text>ti XSL Stylesheet Demo</xsl:text>

<xsl:text>: </xsl:text>
	 	<strong><xsl:value-of select="$description/friendlyName"/></strong>
	 	<xsl:text> - </xsl:text>
	 	<xsl:value-of select="$description/shortDescription"/>
</p>


<xsl:if test="$description/author">

<p><xsl:text>Author: </xsl:text>

		<xsl:value-of select="$description/author/@name"/>

		<xsl:if test="$description/author/@company and $description/author/@company!=''">
			<xsl:text>  | </xsl:text>
			<xsl:value-of select="$description/author/@company"/> 
		</xsl:if>

		<xsl:if test="$description/author/@email and $description/author/@email!=''">
			<xsl:text>  | </xsl:text>
			<a target="_blank" href="mailto:{$description/author/@email}">
			<xsl:value-of select="$description/author/@email"/> 
			</a>
		</xsl:if>

		<xsl:if test="$description/author/@url and $description/author/@url!=''">
			<xsl:text>  | </xsl:text>
			<a target="_blank" href="http://{$description/author/@url}">
			<xsl:value-of select="$description/author/@url"/> 
			</a>
		</xsl:if>
</p>

</xsl:if>


<p><xsl:text>HU: </xsl:text>
			<xsl:text>Title: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@name"/></strong> 
			<xsl:text>  | </xsl:text>
			<xsl:text>HU Author: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@au"/></strong>
			<xsl:text>  | </xsl:text>
			<xsl:text>Creation Date: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@cDate"/></strong>
			<xsl:text>  | </xsl:text>
			<xsl:text>Last Modified: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@mDate"/></strong>

</p>


<xsl:if test="$description/howTo">

<p><xsl:text>Instructions: </xsl:text>
			<xsl:value-of select="$description/howTo"/>
</p>

</xsl:if>


<xsl:if test="$description/comment">
<p><xsl:text>Info: </xsl:text>
			<xsl:value-of select="$description/comment"/>
</p>
</xsl:if>



</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="pagehead">

<div class="close">
<xsl:attribute name="onClick">doSection(fadeinbox)</xsl:attribute>
<img src="{$imagedir}info_demo_bw.gif" alt="click here to open/close info section" border="0"/>
</div>

<!--
<div id="xsltitle" style="display: none; float:left; clear: left; border-left: 1px dotted #ccc; padding-left: 10px; 	">
-->	


<div id="fadeinbox"  style="filter:progid:DXImageTransform.Microsoft.RandomDissolve(duration=1) progid:DXImageTransform.Microsoft.Shadow(color=gray,direction=135); -moz-opacity:0; display: none; ">


<!-- all calling style sheets must define variable description or we get an error -->

	<h1>
	<xsl:text>ATLAS</xsl:text>
	<span style="color:#f00">.</span>
	<xsl:text>ti XSL Stylesheet Demo</xsl:text>
	</h1>

	<div id="xsldescription">
	 	<strong><xsl:value-of select="$description/friendlyName"/></strong>
	 	<xsl:text> - </xsl:text>
	 	<xsl:value-of select="$description/shortDescription"/>
 	</div>

<ul id="maintab_pagehead" class="shadetabs">
	<xsl:if test="$description/author">
		<li class="selected"><a href="#" rel="tcontent_author">Author</a></li>
	</xsl:if>		

	<xsl:if test="$description/author">
		<li><a href="#" rel="tcontent_hu">HU</a></li>
	</xsl:if>		

	<xsl:if test="$description/howTo">
		<li><a href="#" rel="tcontent_instructions">Instructions</a></li>
	</xsl:if>
	
	<xsl:if test="$description/comment">
		<li><a href="#" rel="tcontent_comment">Info</a></li>
	</xsl:if>
		
</ul>



<div class="tabcontentstyle" style="padding-top: 0; ">

<xsl:if test="$description/author">
	<div id="tcontent_author" class="tabcontent">
	<div id="xslauthor">

		<xsl:value-of select="$description/author/@name"/>

		<xsl:if test="$description/author/@company and $description/author/@company!=''">
			<br/>
			<xsl:value-of select="$description/author/@company"/> 
		</xsl:if>

		<xsl:if test="$description/author/@email and $description/author/@email!=''">
			<br/>
			<a target="_blank" href="mailto:{$description/author/@email}">
			<xsl:value-of select="$description/author/@email"/> 
			</a>
		</xsl:if>

		<xsl:if test="$description/author/@url and $description/author/@url!=''">
			<br/>
			<a target="_blank" href="{$description/author/@url}">
			<xsl:value-of select="$description/author/@url"/> 
			</a>
		</xsl:if>
	</div>
	</div>
</xsl:if>


	<div id="tcontent_hu" class="tabcontent">
		<div id="xslsubtext">
			<xsl:text>Title: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@name"/></strong> 
			<br/>
			<xsl:text>HU Author: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@au"/></strong>
			<br/>
			<xsl:text>Creation Date: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@cDate"/></strong>
			<br/>
			<xsl:text>Last Modified: </xsl:text>
			<strong><xsl:value-of select="//hermUnit/@mDate"/></strong>




		</div>
	</div>

<xsl:if test="$description/howTo">
	<div id="tcontent_instructions" class="tabcontent">

		<div id="xslinstructions">
			<xsl:value-of select="$description/howTo"/>
		</div>

	</div>
</xsl:if>


<xsl:if test="$description/comment">
	<div id="tcontent_comment" class="tabcontent">

		<div id="xslcomment">
			<xsl:value-of select="$description/comment"/>
		</div>

	</div>
</xsl:if>

<script type="text/javascript">
			initializetabcontent("maintab_pagehead")
</script>



</div>



</div>

</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

 <xsl:template name="properCDate">
	<xsl:choose>
		<xsl:when test="not(@cDate)">[no date]</xsl:when>
		<xsl:when test="@cDate=''">[date empty]</xsl:when>
		<xsl:otherwise>
		<xsl:value-of select="substring(@cDate, 6,2)"/>-<xsl:value-of select="substring(@cDate, 9,2)"/>-<xsl:value-of select="substring(@cDate, 1,4)"/>
            </xsl:otherwise>
	</xsl:choose>
 </xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="script_expandsection">
<script language="JavaScript">
	<xsl:comment>
		function doSection (secNum){ 
		if (secNum.style.display=="none"){secNum.style.display=""}
		else{secNum.style.display="none"}
		}
		function noSection (secNum){
			if (secNum.style.display==""){secNum.style.display="none"}
		}
	</xsl:comment>
</script>
</xsl:template>




<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="script_write2div">
<script language="JavaScript">
	<xsl:comment>
<![CDATA[


var page_loaded, startTime, timerId;
if (document.getElementById || document.all) window.onload = initInfoLyr;
function initInfoLyr() {
  page_loaded = true;
  var screenLyr = (document.getElementById)? document.getElementById('infoDiv'): (document.all)? document.all['infoDiv']: null;
  if ( screenLyr && typeof screenLyr.innerHTML != "undefined" ) 
    if (screenLyr.style) screenLyr.style.visibility = "visible";
  displayInfo('infoDiv',dfltMsg);	// show message
}

function displayInfo(id, sHtml) {
	if (!page_loaded) return; 
	var el = (document.getElementById)? document.getElementById(id): (document.all)? document.all[id]: null;
  if (!el) return;
  if (sHtml == '') startTimer();
	else if (timerId) clearInterval(timerId);
  if (typeof el.innerHTML != "undefined") el.innerHTML = '<div class="info">' + sHtml + '</div>';
}

// called from displayInfo when mouseouts write empty string
function startTimer() {
	startTime = new Date().getTime();
	timerId = setInterval("checkElapsed()",500);
}

function checkElapsed() {
	var elapsed = new Date().getTime();
	// show default message if screen blank for 2 seconds
	if ( elapsed - startTime > 2000 ) {
		displayInfo('infoDiv',dfltMsg);
		clearInterval(timerId);
	} 
}


]]>
	</xsl:comment>
</script>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="script_stickynote">
<script language="JavaScript">
	<xsl:comment>
<![CDATA[

/***********************************************
* Sticky Note script- © Dynamic Drive DHTML code library (www.dynamicdrive.com)
* Visit DynamicDrive.com for hundreds of DHTML scripts
* This notice must stay intact for legal use
* Go to http://www.dynamicdrive.com/ for full source code
***********************************************/

//Specify display mode. 3 possible values are:
//1) "always"- This makes the fade-in box load each time the page is displayed
//2) "oncepersession"- This uses cookies to display the fade-in box only once per browser session
//3) integer (ie: 5)- Finally, you can specify an integer to display the box randomly via a frequency of 1/integer...
// For example, 2 would display the box about (1/2) 50% of the time the page loads.

var displaymode="always"

var enablefade="yes" //("yes" to enable fade in effect, "no" to disable)
var autohidebox=["no", 0] //Automatically hide box after x seconds? [yes/no, if_yes_hide_after_seconds]
var showonscroll="yes" //Should box remain visible even when user scrolls page? ("yes"/"no)
var IEfadelength=1 //fade in duration for IE, in seconds
var Mozfadedegree=0.05 //fade in degree for NS6+ (number between 0 and 1. Recommended max: 0.2)

////////No need to edit beyond here///////////

if (parseInt(displaymode)!=NaN)
var random_num=Math.floor(Math.random()*displaymode)

function displayfadeinbox(){
var ie=document.all && !window.opera
var dom=document.getElementById
iebody=(document.compatMode=="CSS1Compat")? document.documentElement : document.body
objref=(dom)? document.getElementById("fadeinbox") : document.all.fadeinbox
var scroll_top=(ie)? iebody.scrollTop : window.pageYOffset
var docwidth=(ie)? iebody.clientWidth : window.innerWidth
docheight=(ie)? iebody.clientHeight: window.innerHeight
var objwidth=objref.offsetWidth
objheight=objref.offsetHeight
objref.style.left=docwidth/2-objwidth/2+"px"
objref.style.top=scroll_top+docheight/2-objheight/2+"px"

if (showonscroll=="yes")
showonscrollvar=setInterval("staticfadebox()", 50)

if (enablefade=="yes" && objref.filters){
objref.filters[0].duration=IEfadelength
objref.filters[0].Apply()
objref.filters[0].Play()
}
objref.style.visibility="visible"
if (objref.style.MozOpacity){
if (enablefade=="yes")
mozfadevar=setInterval("mozfadefx()", 90)
else{
objref.style.MozOpacity=1
controlledhidebox()
}
}
else
controlledhidebox()
}

function mozfadefx(){
if (parseFloat(objref.style.MozOpacity)<1)
objref.style.MozOpacity=parseFloat(objref.style.MozOpacity)+Mozfadedegree
else{
clearInterval(mozfadevar)
controlledhidebox()
}
}

function staticfadebox(){
var ie=document.all && !window.opera
var scroll_top=(ie)? iebody.scrollTop : window.pageYOffset
objref.style.top=scroll_top+docheight/2-objheight/2+"px"
}

function hidefadebox(){
objref.style.visibility="hidden"
if (typeof showonscrollvar!="undefined")
clearInterval(showonscrollvar)
}

function controlledhidebox(){
if (autohidebox[0]=="yes"){
var delayvar=(enablefade=="yes" && objref.filters)? (autohidebox[1]+objref.filters[0].duration)*1000 : autohidebox[1]*1000
setTimeout("hidefadebox()", delayvar)
}
}

function initfunction(){
setTimeout("displayfadeinbox()", 100)
}

function get_cookie(Name) {
var search = Name + "="
var returnvalue = ""
if (document.cookie.length > 0) {
offset = document.cookie.indexOf(search)
if (offset != -1) {
offset += search.length
end = document.cookie.indexOf(";", offset)
if (end == -1)
end = document.cookie.length;
returnvalue=unescape(document.cookie.substring(offset, end))
}
}
return returnvalue;
}


if (displaymode=="oncepersession" && get_cookie("fadedin")=="" || displaymode=="always" || parseInt(displaymode)!=NaN && random_num==0){
if (window.addEventListener)
window.addEventListener("load", initfunction, false)
else if (window.attachEvent)
window.attachEvent("onload", initfunction)
else if (document.getElementById)
window.onload=initfunction
document.cookie="fadedin=yes"
}


]]>
	</xsl:comment>
</script>
</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="script_tabcontent">
<script language="JavaScript">
	<xsl:comment>
<![CDATA[

//** Tab Content script- © Dynamic Drive DHTML code library (http://www.dynamicdrive.com)
//** Last updated: June 29th, 06

var enabletabpersistence=1 //enable tab persistence via session only cookies, so selected tab is remembered?

////NO NEED TO EDIT BELOW////////////////////////
var tabcontentIDs=new Object()

function expandcontent(linkobj){
var ulid=linkobj.parentNode.parentNode.id //id of UL element
var ullist=document.getElementById(ulid).getElementsByTagName("li") //get list of LIs corresponding to the tab contents
for (var i=0; i<ullist.length; i++){
ullist[i].className=""  //deselect all tabs
if (typeof tabcontentIDs[ulid][i]!="undefined") //if tab content within this array index exists (exception: More tabs than there are tab contents)
document.getElementById(tabcontentIDs[ulid][i]).style.display="none" //hide all tab contents
}
linkobj.parentNode.className="selected"  //highlight currently clicked on tab
document.getElementById(linkobj.getAttribute("rel")).style.display="block" //expand corresponding tab content
saveselectedtabcontentid(ulid, linkobj.getAttribute("rel"))
}

function savetabcontentids(ulid, relattribute){// save ids of tab content divs
if (typeof tabcontentIDs[ulid]=="undefined") //if this array doesn't exist yet
tabcontentIDs[ulid]=new Array()
tabcontentIDs[ulid][tabcontentIDs[ulid].length]=relattribute
}

function saveselectedtabcontentid(ulid, selectedtabid){ //set id of clicked on tab as selected tab id & enter into cookie
if (enabletabpersistence==1) //if persistence feature turned on
setCookie(ulid, selectedtabid)
}

function getullistlinkbyId(ulid, tabcontentid){ //returns a tab link based on the ID of the associated tab content
var ullist=document.getElementById(ulid).getElementsByTagName("li")
for (var i=0; i<ullist.length; i++){
if (ullist[i].getElementsByTagName("a")[0].getAttribute("rel")==tabcontentid){
return ullist[i].getElementsByTagName("a")[0]
break
}
}
}

function initializetabcontent(){
for (var i=0; i<arguments.length; i++){ //loop through passed UL ids
if (enabletabpersistence==0 && getCookie(arguments[i])!="") //clean up cookie if persist=off
setCookie(arguments[i], "")
var clickedontab=getCookie(arguments[i]) //retrieve ID of last clicked on tab from cookie, if any
var ulobj=document.getElementById(arguments[i])
var ulist=ulobj.getElementsByTagName("li") //array containing the LI elements within UL
for (var x=0; x<ulist.length; x++){ //loop through each LI element
var ulistlink=ulist[x].getElementsByTagName("a")[0]
if (ulistlink.getAttribute("rel")){
savetabcontentids(arguments[i], ulistlink.getAttribute("rel")) //save id of each tab content as loop runs
ulistlink.onclick=function(){
expandcontent(this)
return false
}
if (ulist[x].className=="selected" && clickedontab=="") //if a tab is set to be selected by default
expandcontent(ulistlink) //auto load currenly selected tab content
}
} //end inner for loop
if (clickedontab!=""){ //if a tab has been previously clicked on per the cookie value
var culistlink=getullistlinkbyId(arguments[i], clickedontab)
if (typeof culistlink!="undefined") //if match found between tabcontent id and rel attribute value
expandcontent(culistlink) //auto load currenly selected tab content
else //else if no match found between tabcontent id and rel attribute value (cookie mis-association)
expandcontent(ulist[0].getElementsByTagName("a")[0]) //just auto load first tab instead
}
} //end outer for loop
}


function getCookie(Name){ 
var re=new RegExp(Name+"=[^;]+", "i"); //construct RE to search for target name/value pair
if (document.cookie.match(re)) //if cookie found
return document.cookie.match(re)[0].split("=")[1] //return its value
return ""
}

function setCookie(name, value){
document.cookie = name+"="+value //cookie value is domain wide (path=/)
}



]]>
	</xsl:comment>
</script>
</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template name="script_switchCSS">
<script language="javascript">
<xsl:comment>
function switchStyles(src) {
	document.getElementsByTagName("link")[0].setAttribute('href',src)
}
</xsl:comment>
</script>
</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template name="script_drag">

<script language="JavaScript1.2">
<xsl:comment>

//Generic Drag Script- © Dynamic Drive (www.dynamicdrive.com)
//For full source code and terms of usage,
//visit http://www.dynamicdrive.com

var ie=document.all
var ns6=document.getElementById&amp;&amp;!document.all

var dragapproved=false
var z,x,y

function move(e){
if (dragapproved){
z.style.left=ns6? temp1+e.clientX-x: temp1+event.clientX-x
z.style.top=ns6? temp2+e.clientY-y : temp2+event.clientY-y
return false
}
}

function drags(e){
if (!ie&amp;&amp;!ns6)
return
var firedobj=ns6? e.target : event.srcElement
var topelement=ns6? "HTML" : "BODY"

while (firedobj.tagName!=topelement&amp;&amp;firedobj.className!="drag"){
firedobj=ns6? firedobj.parentNode : firedobj.parentElement
}

if (firedobj.className=="drag"){
dragapproved=true
z=firedobj
temp1=parseInt(z.style.left+0)
temp2=parseInt(z.style.top+0)
x=ns6? e.clientX: event.clientX
y=ns6? e.clientY: event.clientY
document.onmousemove=move
return false
}
}
document.onmousedown=drags
document.onmouseup=new Function("dragapproved=false")
//
</xsl:comment>
</script>


</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="CSS">
	<link rel="stylesheet" href="{$stylesdir}updated.css" type="text/css"/>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="closeButton">
<xsl:param name="id" />

<a href="#" style="cursor:hand;">
<xsl:attribute name="onclick">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<xsl:attribute name="onmousedown">noSection(<xsl:value-of select="$id"/>)</xsl:attribute>
<img src="{$imagedir}closexp.gif" alt="close" border="0" class="close"/> 
</a>

</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="atlasfooter">
<xsl:param name="withimage"/>

	<div id="atlasfooter">
		<xsl:choose>
			<xsl:when test="$withimage!='yes'">
							<p>ATLAS.ti XSL Stylesheet Demo</p>
			</xsl:when>
			<xsl:otherwise>
			<p>
		<img src="images/ATLAStiLogo2006_mini.gif" align="left" alt="ATLAS.ti XSL Stylesheet Demo" border="0" />
		<xsl:text>XSL Stylesheet Demo &#169; 2007</xsl:text></p>
			</xsl:otherwise> 
		
		</xsl:choose>
	</div>

</xsl:template>



</xsl:stylesheet>