<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>List with TOC</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>A list of codes and memos with clickable index</shortDescription>
<howTo>Click on any item in the table of contents. </howTo> 
<comment>Creates a simple list report of codes and memos and a clickable table of contents</comment>
<category>Report</category>
<complexity>low</complexity> <!-- Computational complexity -->
<iconPath>list.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Ringmayr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-05-31</creationDate>
<sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
<targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
</head>

<body>
<xsl:call-template name="pagehead"/>
<hr/>

<!-- TOC -->
<div style="section">

<a class="toc" name="TOC"></a>
<h1>CONTENTS</h1>

<ul>

<xsl:for-each select="storedHU/memos/memo | storedHU/codes/code">
<xsl:sort select="@name"/>
<!--
<div style="margin-left:1em">
<img src="{$imagedir}mark.gif"><xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute></img>
-->
<li>
<a class="gray" style="background-color: #FFFFFF;">
	<xsl:attribute name="href">#<xsl:value-of select="generate-id()"/></xsl:attribute>
	<xsl:value-of select="@name"/> (a <xsl:value-of select="name(.)"/>)
</a>
</li>


</xsl:for-each>

</ul>
</div>



<!-- Content Body -->
<xsl:for-each select="storedHU/memos/memo | storedHU/codes/code">

<div class="section">

<dl>
<dt>
<a><xsl:attribute name="name"><xsl:value-of select="generate-id()"/></xsl:attribute></a>
<b><xsl:value-of select="@name"/></b>
<xsl:if test="@type and @type!=''"> [<xsl:value-of select="@type"/>] </xsl:if>
Created <xsl:call-template name="properCDate"/> by <xsl:value-of select="@au"/>
<br/>
<a class="instruction"><xsl:attribute name="HREF">#TOC</xsl:attribute>Back to TOC</a>
</dt>
	<dd>

		<xsl:choose>
			<xsl:when test="@type='text/html'">
				<xsl:for-each select="*">
					<xsl:copy-of select="." />
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<div class="commenttext">
					<xsl:apply-templates />
				</div>
			</xsl:otherwise>
		</xsl:choose>
	
	</dd>
</dl>

</div>
</xsl:for-each>

</body>
</html>
</xsl:template>


</xsl:stylesheet>
