<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>DEConvert</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>Converts a HU into DE format</shortDescription>
<comment>Creates an output which can be read by Banxia Decision Explorer.
Native format may not work correctly. 
Should be reimplemented to create a DE XML file.</comment>
<category>Converter</category>
<complexity>medium</complexity> <!-- Computational complexity -->
<iconPath>deconvert.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Muhr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-05-31</creationDate>
<modificationDate>2007-10-30</modificationDate>
<sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
<targetDocType>DE</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
</head>

<body>

<xsl:call-template name="pagehead"/>

<h1 class="title">Conversion to Decision Explorer </h1>
<p>An ATLAS<font color="red">.</font>ti XML Code Network converted to Decision Explorer.<br/>
<em>Copy, paste, and save the content below to a file with extension ".txt" and import into Decision Explorer.</em>
<hr/>
</p>

<xsl:for-each select="//code">
<xsl:sort select="@name"/>
<xsl:variable name="id"><xsl:value-of select="@source"/></xsl:variable>
<xsl:value-of select="position()"/>=<span class="red"><xsl:value-of select="@name"/></span>
<br/>
</xsl:for-each>

<xsl:for-each select="//links/codeLinks/codeLink">
	<xsl:value-of select="@source"/> &gt; <xsl:value-of select="@target"/><br/>
	</xsl:for-each>	
</body>
</html>
</xsl:template>
</xsl:stylesheet>