<?xml version="1.0" encoding="ISO-8859-1"?>


<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />

<xsl:include href="_shared.xsl.inc"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>Simple List</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>A simple list of codes and memos with name, date, author</shortDescription>
<comment>Creates a simple list report of codes and memos sorted by name</comment>
<category>Report</category>
<complexity>low</complexity> <!-- Computational complexity -->
<iconPath>list.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Ringmayr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-05-31</creationDate>
<modificationDate>2007-10-29</modificationDate>
  <sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
  <targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<html>
<head>
	<xsl:call-template name="htmlhead"/>
</head>

<body>

<xsl:call-template name="pagehead"/>

<h1 class="title">Code/Memo List</h1>
No. of Codes: <xsl:value-of select="count(storedHU/codes/code)"/><br/>
No. of Memos: <xsl:value-of select="count(storedHU/memos/memo)"/><br/>
<hr />


<xsl:if test="count(storedHU/codes/code) &gt; 0">	
<h1>Codes</h1>
	<ol>
		<xsl:for-each select="storedHU/codes/code">
		<xsl:sort select="@name"/>
			<li>
				<b><xsl:value-of select="@name"/></b> -
				Created <i><xsl:call-template name="properCDate"/></i> by 
				<b><xsl:value-of select="@au"/></b>
			</li>
		</xsl:for-each>
	</ol>

</xsl:if>
			
<xsl:if test="count(storedHU/memos/memo) &gt; 0">	
<h1>Memos</h1>
	<ol>
		<xsl:for-each select="storedHU/memos/memo">
		<xsl:sort select="@name"/>
			<li>
				<b><xsl:value-of select="@name"/></b> -
				Created <i><xsl:call-template name="properCDate"/></i> by 
				<b><xsl:value-of select="@au"/></b>
			</li>
		</xsl:for-each>
	</ol>
</xsl:if>

</body>
</html>
</xsl:template>

</xsl:stylesheet>
