<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>


<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>Modern Codes (commented only)</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>A report of commented codes</shortDescription>
<comment>Creates a report of codes (only commented) in a tabular format</comment>
<category>Report</category>
<complexity>low</complexity> <!-- Computational complexity -->
<iconPath>modern.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Ringmayr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-05-31</creationDate>
<modificationDate>2007-10-29</modificationDate>
<sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
<sourceType type = "Codes" version = "5.0"/>
<sourceType type = "Memos" version = "5.0"/>
<targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template match="/">
<html>
<head>
<xsl:call-template name="htmlhead"/>
</head>

<body>

<xsl:call-template name="pagehead"/>

<h1 class="title">Commented Codes</h1>

<p>No. of commented Codes: <xsl:value-of select="count(storedHU/codes/code[comment != ''])"/></p>

<table bordercolordark="gray" bordercolorlight="teal" border="0" bgcolor="white" cellpadding ="8" id="moderncodetable">

<xsl:for-each select="storedHU/codes/code[comment != '']">
<xsl:sort select="@name"/>
	<xsl:call-template name="content"/>
</xsl:for-each>
</table>

</body>
</html>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template match="body | comment">
<!--
	<pre class="commenttext"><xsl:value-of select="."/></pre>
-->
		<div class="commenttext">
			<xsl:choose>
				<xsl:when test="@type='text/html'">
						<xsl:for-each select="*">
							<xsl:copy-of select="." />
						</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
						<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</div>

</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="content">

<tr>
	<td bgcolor="#999999" width="20%" valign="top" align="right" class="left">
		<span style="color:white">
		<b><xsl:value-of select="@name"/></b>
		<br/>
		<span style="color:yellow">
		<xsl:value-of select="@au"/><br/>
		</span>
		<xsl:call-template name="properCDate"/><br/>
		<span style="color:blue"><xsl:value-of select="@type"/></span>
		</span>
	</td>


	<td width="80%" valign="top" class="rowstyle{position() mod 2}">
	<xsl:choose>
		<xsl:when test="body | comment">
			<xsl:apply-templates select="body | comment"/>
		</xsl:when>
		<xsl:otherwise>[no entry]</xsl:otherwise>
	</xsl:choose>
	</td>

</tr>

</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

</xsl:stylesheet>