<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 

<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>


<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>Codes as RTF</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>Convert codes description to rich text</shortDescription>
<howTo>Copy., paste and save the RTF encoded content below to a file with extension .rtf and open with WordPad or any other RTF compatible editor</howTo> 
<!-- howTo: To be displayed in the generated web page instructing the user how to use the result-->
<comment>From a HU XML document extract the codes and create a RTF representation</comment>
<category>Converter</category>
<complexity>low</complexity> <!-- Computational complexity -->
<iconPath>modern.ico</iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Muhr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-05-31</creationDate>
<modificationDate>2007-10-30</modificationDate>
<sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
<targetDocType>RTF</targetDocType> 
</atlasDescription>
</atlas:data>

<xsl:template match="/">
<!--<xsl:document method="html" encoding="ISO-8859-1" indent="yes" href="">-->
<html>
<head>
	<xsl:call-template name="htmlhead"/>
</head>

<body>

<xsl:call-template name="pagehead"/>
<h1 class="title">RTF Converter</h1>


<p>
{\rtf1\ansi\ansicpg1252\deff0\deflang1031{\fonttbl {\f0\fnil\fprq1\fcharset0 Arial;}}{\colortbl;\red255\green0\blue0;}\uc1\pard\f0\fs20\b
      \fs30Rich Text Version of an ATLAS.ti <xsl:value-of select="name(/*)"/> \b0\fs20\par\par
</p>
<xsl:for-each select="//codes/code">
<xsl:value-of select="position()"/>. \b <xsl:value-of select="@name"/> \b0<xsl:text> </xsl:text>
by \i <xsl:value-of select="@au"/>  \i0 <xsl:text> </xsl:text>
[Created: \cf1 <xsl:value-of select="@cDate"/>\cf0]
<p/>
<xsl:if test="body | comment | text">
\par
<xsl:apply-templates select="body | comment | text"/>
</xsl:if>
<p/>
	\par
	\par
</xsl:for-each>
	}
</body>
</html>
</xsl:template>



<xsl:template match="body | comment">
\par \pard\fi500\li5000\ri104000 <xsl:value-of select="."/>\pard 
</xsl:template>


</xsl:stylesheet>
