<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE Elements  [

<!ENTITY trseparator '<tr><td colspan="3" bgcolor="#000000" height="1px" class="trseparator"></td></tr>'>
<!ENTITY nomatch '<p class="em">No matches found.</p>'>

]>


<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 

<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />

<xsl:include href="+a6_shared.xsl"/>

<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>HU Entity Browser</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>A simple browser for HU entities</shortDescription>
<howTo>By clicking on any of the entity types below, the entities are unfolded. Click on an entity with contained text (memo body or entity comment), a popup window is opened. Clicking again closes the popup window. </howTo> 
<comment>Displays expandable lists of HU entity types. Clicking any of the lists display all objects of the selected type.</comment>
<category>Viewer</category>
<complexity>medium</complexity> <!-- Computational complexity -->
<iconPath></iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Ringmayr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-05-31</creationDate>
<modificationDate>2007-11-06</modificationDate>  
<sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
<targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>


<!-- /////////////////////////////////////////////////////////////////////////////////// -->

<xsl:template match="/">

<html>
<head>
	<xsl:call-template name="htmlhead"/>
	<xsl:call-template name="script_expandsection"/>
	<xsl:call-template name="script_tabcontent"/>
	<xsl:call-template name="script_stickynote"/>

    <link rel="stylesheet" type="text/css" href="styles/entities.css" media="screen,projection"/>
    <link rel="stylesheet" type="text/css" href="styles/tabcontent.css" media="screen,projection"/>
    <link rel="stylesheet" type="text/css" href="styles/printMain.css" media="print"/>
    
</head>

<body>

<xsl:call-template name="pagehead"/>

<h1 class="title">Element Overview</h1>

 
<ul id="maintab1" class="shadetabs">
	<li class="selected"><a href="#" rel="tcontent1">Primary Documents</a></li>
	<li><a href="#" rel="tcontent2">Code Families </a></li>
	<li><a href="#" rel="tcontent3">Memo Families </a></li>
	<li><a href="#" rel="tcontent4">Memos</a></li>
	<li><a href="#" rel="tcontent5">Quotes</a></li>
	<li><a href="#" rel="tcontent6">Codes</a></li>
</ul>


<div class="tabcontentstyle">

	<div id="tcontent1" class="tabcontent">
		<xsl:call-template name="primdocs"/>
	</div>

	<div id="tcontent2" class="tabcontent">
		<xsl:call-template name="codeFamilies"/>
	</div>

	<div id="tcontent3" class="tabcontent">
		<xsl:call-template name="memoFamilies"/>
	</div>

	<div id="tcontent4" class="tabcontent">
		<xsl:call-template name="memos"/>
	</div>

	<div id="tcontent5" class="tabcontent">
		<xsl:call-template name="quotes"/>
	</div>

	<div id="tcontent6" class="tabcontent">
		<xsl:call-template name="codes"/>
	</div>

<script type="text/javascript">
			initializetabcontent("maintab1")
</script>

</div>

<!--
<xsl:call-template name="atlasfooter" />
-->

</body>
</html>
</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="quotes">
<xsl:variable name="id">quotes<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:if test="count(//q)=0">
	&nomatch; 
</xsl:if>


<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >


<xsl:for-each select="//q">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:variable name="thisid"><xsl:value-of select="@id"/></xsl:variable>
<xsl:variable name="codeid"><xsl:value-of select="//iLink[@qRef=$thisid]/@obj"/></xsl:variable>
<xsl:variable name="code"><xsl:value-of select="//code[@id=$codeid]/@name"/></xsl:variable>

<tr class="rowstyle{position() mod 2}" >
<td class="small" valign="top">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
		<span style="color:teal; cursor:hand;">
		<xsl:attribute name="onclick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
			<xsl:value-of select="@name"/>
		</span>
	</xsl:when>

	<xsl:when test="content and content!='' ">
		<span class="hascontent">
		<xsl:attribute name="onclick">doSection(content_<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
			<xsl:value-of select="@name"/>
		</span>
	</xsl:when>


	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>


<!-- comment div -->
<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="showcomment" />

</div>



<!-- content div -->
<xsl:if test="content and content!='' and content/@size &lt;1000">

<div style="display:none; " class="contentsection">

<xsl:attribute name="id">content_<xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:text>content_</xsl:text><xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>

		<h2>
			<span class="hvar">Code: </span><xsl:value-of select="$code"/>
		</h2>
	
		<h3>
			<span class="hvar">Source: </span><xsl:value-of select="ancestor::primDoc/@name"/>
		</h3>


		<xsl:if test="comment and comment!=''">
			<xsl:call-template name="showcomment" />
		</xsl:if>

		<xsl:copy-of select="content/*"/>
</div>

</xsl:if>



</td>

<td class="small" valign="top"><xsl:value-of select="ancestor::primDoc/@name"/></td>
<td class="small" valign="top"><xsl:value-of select="@au"/></td>
<!--<td class="small"><xsl:call-template name="properCDate"/></td>-->
</tr>

&trseparator; 

</xsl:for-each>
</table>

</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template name="codes">
<xsl:variable name="id">codes<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:if test="count(//code)=0">
	&nomatch; 
</xsl:if>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//code">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>

<tr class="rowstyle{position() mod 2}" >
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="showcomment" />

</div>
</td>

<td class="small"><xsl:value-of select="ancestor::primDoc/@name"/></td>

<td class="small"><xsl:value-of select="@au"/></td>

<!--<td class="small"><xsl:call-template name="properCDate"/></td>-->

</tr>

&trseparator; 

</xsl:for-each>
</table>

</xsl:template>



<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="memos">
<xsl:variable name="id">memo<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:if test="count(//memo)=0">
	&nomatch; 
</xsl:if>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//memo">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="showcomment" />

</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>

&trseparator; 

</xsl:for-each>
</table>


</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="primdocs">
<xsl:variable name="id">primdoc<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:if test="count(//primDoc)=0">
	&nomatch; 
</xsl:if>

<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="//primDoc">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>


<xsl:call-template name="showcomment" />

</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>

&trseparator; 

</xsl:for-each>
</table>


</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="codeFamilies">
<xsl:variable name="id">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:if test="count(//codeFamily)=0">
	&nomatch; 
</xsl:if>


<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >

<xsl:for-each select="storedHU/families/codeFamilies/codeFamily">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>


<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="showcomment" />

</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>

&trseparator; 

</xsl:for-each>
</table>


</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="memoFamilies">
<xsl:variable name="id">memoFamily<xsl:value-of select="generate-id()"/></xsl:variable>

<xsl:if test="count(//memoFamily )=0">
	&nomatch; 
</xsl:if>


<table width="100%" cellpadding="2" cellspacing="0" border="0" style="font-size:9px; " >
<xsl:for-each select="storedHU/families/memoFamilies/memoFamily">
<xsl:sort select="@name"/>
<xsl:variable name="id2">codeFamily<xsl:value-of select="generate-id()"/></xsl:variable>
<tr class="rowstyle{position() mod 2}">
<td class="small">
<xsl:choose>
	<xsl:when test="comment and comment!=''">
	<span style="color:teal; cursor:hand;">
	<xsl:attribute name="onCLick">doSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>
	<xsl:value-of select="@name"/>
	</span>
	</xsl:when>
	<xsl:otherwise><xsl:value-of select="@name"/></xsl:otherwise>
</xsl:choose>

<div style="display:none; border:1px solid; position:absolute; background-color: lightyellow; padding:5px; " >
<xsl:attribute name="id"><xsl:value-of select="$id"/><xsl:value-of select="$id2"/></xsl:attribute>
<xsl:attribute name="onClick">noSection(<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>)</xsl:attribute>

<xsl:call-template name="closeButton">
	<xsl:with-param name="id">
		<xsl:value-of select="$id"/><xsl:value-of select="$id2"/>
	</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="showcomment" />

</div>

</td>
<td class="small"><xsl:value-of select="@au"/></td>
<td class="small"><xsl:call-template name="properCDate"/></td>
</tr>

&trseparator; 

</xsl:for-each>
</table>

</xsl:template>


<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="showcomment">

		<div class="commenttext">
			<xsl:choose>
				<xsl:when test="comment/@type='text/html'">
						<xsl:for-each select="comment/*">
							<xsl:copy-of select="." />
						</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
						<xsl:value-of select="comment"/>
				</xsl:otherwise>
			</xsl:choose>
		</div>


</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->



</xsl:stylesheet>
