<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes"/>
	<xsl:include href="_shared.xsl.inc"/>
	<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
	<xsl:template match="/">
		<html>
			<head>
				<xsl:call-template name="htmlhead"/>
				<xsl:call-template name="script_expandsection"/>
			</head>
			<body>
				<xsl:call-template name="pagehead"/>
				<hr/>
				<xsl:if test="count(storedHU/codes/code) &gt; 0">
					<h1>Codes</h1>
					<xsl:for-each select="storedHU/codes/code">
						<xsl:sort select="@*[name()=$sortCrit]" order="{$ascdesc}"/>
						<xsl:call-template name="content"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="count(storedHU/memos/memo) &gt; 0">
					<h1>Memos</h1>
					<xsl:for-each select="storedHU/memos/memo">
						<xsl:sort select="@*[name()=$sortCrit]" order="{$ascdesc}"/>
						<xsl:call-template name="content"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
	<xsl:template name="content">
		<xsl:variable name="id">
			<xsl:value-of select="generate-id()"/>
		</xsl:variable>
		<p>
			<table width="650" cellpadding="1" cellspacing="0" border="0" align="center" class="box">
				<tr>
					<td>
						<span class="boxlabel">
							<xsl:choose>
								<xsl:when test="comment and comment!=''">
									<a href="#{$id}" class="red">
										<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
										<img src="{$imagedir}mark.gif" border="0">
											<xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute>
										</img>
										<xsl:value-of select="@name"/>
									</a>
								</xsl:when>
								<xsl:when test="text and text!=''">
									<a href="#{$id}" class="red">
										<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
										<img src="{$imagedir}mark.gif" border="0">
											<xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute>
										</img>
										<xsl:value-of select="@name"/>
									</a>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@name"/>
								</xsl:otherwise>
							</xsl:choose>
						</span>
						<span class="blue"> by <xsl:value-of select="@au"/> from <xsl:call-template name="properCDate"/>
						</span>
					</td>
					<!--
<td valign="top" align="right">
<xsl:if test="comment and comment!=''">
<img src="{$imagedir}close.gif" alt="open/close">
<xsl:attribute name="onClick">doSection(<xsl:value-of select="$id"/>)</xsl:attribute>
</img>
</xsl:if>
</td>
-->
				</tr>
				<tr style="display:none;" id="{$id}">
					<td colspan="2">
						<xsl:if test="comment and comment!=''">
							<div class="close">
								<a href="#{$id}" onclick="noSection({$id})">
									<img src="{$imagedir}close.gif" alt="open/close" border="0"/>
								</a>
							</div>
						</xsl:if>
						<table cellpadding="10" cellspacing="0" border="0" bgcolor="#FFFFFF" width="100%">
							<tr>
								<td width="80%">
									<div class="commenttext">
										<xsl:choose>
											<xsl:when test="comment/@type='text/html'">
												<xsl:for-each select="comment/*">
													<xsl:copy-of select="."/>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="comment"/>
											</xsl:otherwise>
										</xsl:choose>
									</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</p>
	</xsl:template>
	<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
</xsl:stylesheet>
