<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE Elements 
[
<!ENTITY septr 
	'<tr bgcolor="#333333"><td colspan="2"><img src="images/clear.gif" alt="" width="1" height="1"/></td></tr>'>
]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/> 
<xsl:variable name= "description" select="document('')//atlasDescription" />
<xsl:include href="_shared.xsl.inc"/>


<atlas:data xmlns:atlas="urn:www.atlasti.com/xml/001">
<atlasDescription version = "1.0"> <!-- Version of this description syntax -->
<friendlyName>XML Structure</friendlyName> <!-- To be displayed in ATLAS.ti -->
<shortDescription>Report XML structure</shortDescription>
<comment>
A more comfortable way of looking at the XML output data and an easy way of gaining a quick overview of the current project status. -- From a programming standpoint, this stylesheet has intentionally been kept simple so that users can use it as a point of departure for their own stylesheets. Use of external CSS has been kept to a minimum for this reason. 
</comment>
<category>Viewer</category>
<complexity>simple</complexity> <!-- Computational complexity -->
<iconPath></iconPath> <!-- To be displayed in ATLAS.ti -->
<author name="Thomas Ringmayr" email="xml@support.atlasti.com" url="www.atlasti.com/xml.html"/>
<creationDate>2003-06-30</creationDate>
<modificationDate>2007-11-01</modificationDate>
<sourceType type = "HU" version = "5.0"/> <!-- XML type acccepted as input -->
<targetDocType>HTML</targetDocType> 
</atlasDescription>
</atlas:data>


<xsl:template match="/">
<html>
<head>
<link rel="stylesheet" href="{$stylesdir}updated.css" type="text/css" /> 
</head>
<body>

<xsl:call-template name="pagehead"/>
<h1 class="title">Simple Stats</h1>


<div class="tableHolder">

<table cellspacing="2" cellpadding="0" border="0" class="statstable" align="center">
	<tr>
		<td colspan="3" align="left" class="">

<br/>HU name: <xsl:value-of select="storedHU/hermUnit/@name"/>
<br/>total no. of nodes: <xsl:value-of select="count(//*)"/> 
<br/>status: <xsl:value-of select="storedHU/hermUnit/@prot"/>
<xsl:if test="storedHU/hermUnit/comment!=''">
<br/>info: <a href="#info">see below </a>
<br/>last saved: <xsl:value-of select="substring(storedHU/@lastSaved, 6,2)"/>-<xsl:value-of select="substring(storedHU/@lastSaved, 9,2)"/>-<xsl:value-of select="substring(storedHU/@lastSaved, 1,4)"/>
</xsl:if>

		
		</td>
	</tr>


&septr; 

	<xsl:for-each select="storedHU/child::*">
	<tr>
	<td valign="top" width="25%">
	<xsl:value-of select="name()" /> 

	<div style="margin-left: 20px">
	<br/>children: <xsl:value-of select="count(child::*)"/>
	<br/>descendants: <xsl:value-of select="count(descendant::*)"/>
	</div>

	</td>
	<td valign="top">
		<table width="100%" cellspacing="2" cellpadding="0" border="0">
			<xsl:for-each select="*">
			<xsl:variable name="name"><xsl:value-of select="name()"/></xsl:variable>
			<xsl:if test="not(name(following-sibling::*) = $name)">
	<tr>
	<td valign="top" width="40%"><xsl:value-of select="name()" />  (<xsl:value-of select="count(*)" />)
	</td>
	<td>
			<table width="100%" cellspacing="2" cellpadding="0" border="0">
				<xsl:for-each select="*">
				<xsl:variable name="nname"><xsl:value-of select="name()"/></xsl:variable>
				<xsl:if test="not(name(following-sibling::*) = $nname) and .!=''">
				<tr>
				<td valign="top" width="50%">	<xsl:value-of select="name()" /> (<xsl:value-of select="count(*)" />)</td>
				<td>
				<xsl:for-each select="*">
				<xsl:variable name="nnname"><xsl:value-of select="name()"/></xsl:variable>
				<xsl:if test="not(name(following-sibling::*) = $nnname) ">
				<xsl:value-of select="name()"/><br/>
				</xsl:if>
				</xsl:for-each>
				</td>
				</tr>
				</xsl:if>
				</xsl:for-each>
			</table>
		</td>
		</tr>
		&septr; 
		</xsl:if>		
		</xsl:for-each>
		</table>
	</td>
	</tr>
	&septr; 
	</xsl:for-each>
</table>



<div style="margin-left: 24%; padding: 20px; ">
<a name="info"/>
		<xsl:value-of select="storedHU/hermUnit/comment"/>
</div>



</div>

</body>
</html>
</xsl:template>


</xsl:stylesheet>