<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->


<xsl:template match="/">

<html>
<head>
	<title>ATLAST.ti tiqViewer</title>
     <meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
	<link rel='stylesheet' href='styles.css' type='text/css'/>
	<style type='text/css'>
		a:link, a:visited, a:active {text-decoration: underline; }
		.error {color: red; font-size: 12px; font-weight: bold;  }
		.box {background-color: #8CC6C6; color: #000000; border: 1px solid #EEEEEE; padding-left: 5px;  padding-right: 5px; }
		.submit {background-color: teal; color:white; font-weight: bold; font-size: 12px}
	</style>

<script language="JavaScript">
	<xsl:comment>
		function doSection (secNum){ 
		if (secNum.style.display=="none"){secNum.style.display=""}
		else{secNum.style.display="none"}
		}
		function noSection (secNum){
			if (secNum.style.display==""){secNum.style.display="none"}
		}
	</xsl:comment>
</script>

</head>		

<body leftmargin='10' topmargin='10' marginwidth='0' marginheight='0' link='000000' alink='000000' vlink='000000' background='mainbackgr.gif'>

<center>

<table cellpadding="0" cellspacing="5" border="0" width="600px">
	<tr>
	<td colspan="2" align="right"><a href="http://www.atlasti.com"><img src="atlasLogo01_faded.gif" border="0" alt="ATLAS.ti"/></a></td>
	</tr>
	<xsl:call-template name="sepLine"/>
</table>

<div class="title">QUESSY.ti Database: <xsl:value-of select="//connection/@name"/></div>

<br/><br/>

<table cellpadding="0" cellspacing="5" border="0" width="600px">
	<tr>
	<td colspan="2"><em>Database Information</em></td>
	</tr>

	<xsl:call-template name="sepLine"/>
	<xsl:for-each select="result/connection/@*">
	<tr>
		<td width="20%" valign="top"><span style="text-transform: capitalize;"><xsl:value-of select="name()"/></span></td>
		<td><xsl:value-of select="."/></td>
	</tr>
	</xsl:for-each>
</table>	


<br/><br/>

<table cellpadding="0" cellspacing="5" border="0" width="600px">
	<tr>
		<td colspan="2"><em>Connection Attributes</em></td>
	</tr>
	<xsl:call-template name="sepLine"/>
	<xsl:for-each select="result/connection/connection_attributes/items/item">
	<tr>
		<td width="20%" valign="top"><span style="text-transform: capitalize;"><xsl:value-of select="@key"/></span></td>
		<td><xsl:value-of select="@value"/></td>
	</tr>
	</xsl:for-each>

</table>	

<br/><br/>

<table cellpadding="0" cellspacing="5" border="0" width="600px">
	<tr>
		<td colspan="2"><em>Query Data</em></td>
	</tr>

<xsl:call-template name="sepLine"/>

	<xsl:for-each select="result/query/@*">
	<tr>
		<td width="20%" valign="top"><span style="text-transform: capitalize;"><xsl:value-of select="name(.)"/></span></td>
		<td><xsl:value-of select="."/></td>
	</tr>
	</xsl:for-each>

	<tr>
		<td width="20%" valign="top">SQL Query: </td>
		<td><xsl:value-of select="result/query/sql"/></td>
	</tr>
</table>	

<br/><br/>


<table cellpadding="0" cellspacing="5" border="0" width="600px">
	<tr>
		<td colspan="{count(result/rows/row/fields/field)}"><em>Data</em></td>
	</tr>

	<tr height="1"><td colspan="2" bgcolor="#333333"></td></tr>

	<xsl:for-each select="result/rows/row">
	<tr>
	<td width="20%" valign="top">
		<!--
		&#9658;&#9658;&#9660;&#9668;
		-->
		<!--	<span onclick="noSection({generate-id()})" style="text-decoration: none; cursor:hand;">&#9660; -->
		<xsl:value-of select="position()"/>
		<!--	</span>-->
		</td>
	<td id="{generate-id()}">
		<table cellpadding="0" cellspacing="5" border="0" width="100%">
		<xsl:for-each select="fields/field">
		<tr>
		<td width="20%" valign="top"><em><xsl:value-of select="@name"/></em></td>
		<td><xsl:value-of select="contents"/></td>
		</tr>
		</xsl:for-each>
		</table>
	</td>
	</tr>
	
	<xsl:call-template name="sepLine"/>
	</xsl:for-each>

</table>	

</center>
<br/><br/>

	
</body>
</html>
</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<xsl:template name="sepLine">

	<tr height="1"><td colspan="2" bgcolor="#333333"></td></tr>

</xsl:template>

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

<!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->

	
</xsl:stylesheet>

